Bug 237352 - (perl-MooseX-Getopt) Review Request: perl-MooseX-Getopt - Moose role for processing command line options
Review Request: perl-MooseX-Getopt - Moose role for processing command line o...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Package Reviews List
http://search.cpan.org/dist/MooseX-Ge...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-20 19:16 EDT by Chris Weyl
Modified: 2010-08-27 15:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-04 11:32:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bjohnson: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-04-20 19:16:49 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-MooseX-Getopt-0.02-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-MooseX-Getopt.spec

Description:
This is a Moose role which provides an alternate constructor for creating
objects using parameters passed in from the command line.
Comment 1 Bernard Johnson 2007-04-30 14:36:15 EDT
It's possible that this is not a problem, but I'd sure look into it (Fedora 6):

+ /usr/bin/perl Build.PL installdirs=vendor
 - ERROR: Getopt::Long (2.35) is installed, but we need version >= 2.36

ERRORS/WARNINGS FOUND IN PREREQUISITES.  You may wish to install the versions
of the modules indicated above before proceeding with this installation


If it can be /verified/ to work correctly with perl(Getopt::Long) = 2.35, then
patch the Makefile.PL to change the required version.

If it must have 2.36 or better, then maybe you only intend to build for newer
versions of perl?  If that is the case, a BR with the required version number
should be used.
Comment 2 Chris Weyl 2007-04-30 17:32:15 EDT
Yeah -- I took a good look at this when putting the srpm together.  It looks
like, aside from bugfixes, the main changes to Getopt::Long 2.36 vs 2.35 is the
addition of GetOptionsFromArray and GetOptionsFromString...  A quick grep of the
code turned up neither of these.

In any case, I just filed a "seriously?" bug with upstream:
http://rt.cpan.org/Ticket/Display.html?id=26844
Comment 3 Bernard Johnson 2007-04-30 19:32:19 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: FC-6 / i386
 [x] Rpmlint output: None
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    : 250c71cde95ec48e9edcebacb80d0d44
     MD5SUM upstream package: 250c71cde95ec48e9edcebacb80d0d44
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded:
     Why:
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: FC-6 / i386
 [-] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.


=== Issues ===
1. Patch Build.PL to require a lower version of perl(Getopt::Long) so that the
testing won't complain.
2. Document why you are doing this including your bug report (Note that self
tests pass otherwise)

=== Final Notes ===
1. Be prepared to submit patches to the core perl package of every %dist that
you build for if problems appear with using perl(Getopt::Long) = 2.35 (if it's
because of a bug), or be prepared to patch around it in this package if needed.
2. Watch very carefully when you schedule the build to make sure that the self
tests still pass on each %dist.

If we are on the same page here, I'll approve the package.
Comment 4 Chris Weyl 2007-04-30 21:27:42 EDT
Gotcha.  I'm not worried about the version of Getopt::Long; my own usage (not to
mention the non-trivial test suite) both indicate to me that 2.35 is just fine.
 I'll give upstream a couple days to respond to the bug I filed with them, then
move forward with this.
Comment 5 Bernard Johnson 2007-05-01 02:03:12 EDT
(In reply to comment #4)
> Gotcha.  I'm not worried about the version of Getopt::Long; my own usage (not to
> mention the non-trivial test suite) both indicate to me that 2.35 is just fine.
>  I'll give upstream a couple days to respond to the bug I filed with them, then
> move forward with this.

I think we both have a comfort zone about this, but I'm just stating for the
record for what /might/ happen if we are both wrong :)


Ping me when you are ready to proceed and we'll take it up from there.
Comment 6 Chris Weyl 2007-05-03 13:04:33 EDT
No problem :)

The author just released 0.03, explicitly downgrading the Getopt::Long
requirement in Build.PL -- I think we're safe to proceed here.
Comment 7 Bernard Johnson 2007-05-03 13:10:18 EDT
If you don't mind, throw up a 0.03 srpm and I will mockbuild it and check the
md5 sigs.
Comment 9 Bernard Johnson 2007-05-03 13:23:31 EDT
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    : 4c925eaa9d071ff58b97ba26a5d29b18
     MD5SUM upstream package: 4c925eaa9d071ff58b97ba26a5d29b18

All other issues went away :)

================
*** APPROVED ***
================
Comment 10 Chris Weyl 2007-05-03 13:27:54 EDT
New Package CVS Request
=======================
Package Name: perl-MooseX-Getopt
Short Description: Moose role for processing command line options
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 11 Chris Weyl 2007-05-04 11:32:09 EDT
Imported and building...  Thanks for the revieew!
Comment 12 Iain Arnell 2010-08-26 01:44:02 EDT
Package Change Request
======================
Package Name: perl-MooseX-Getopt
New Branches: el6
Owners: iarnell tremble
InitialCC: perl-sig
Comment 13 Kevin Fenzi 2010-08-27 15:02:59 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.